> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Hris Expense Report Details

> Returns the caller's own expense report with line items, files and payment records.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-hris-expense-report-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-hris-expense-report-details:
    get:
      operationId: getMyHrisExpenseReportDetails
      summary: Get My Hris Expense Report Details
      description: >-
        Returns the caller's own expense report with line items, files and
        payment records.


        Not available to API keys.
      parameters:
        - name: hrisExpenseReportID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyHrisExpenseReportDetailsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyHrisExpenseReportDetailsResponse:
      type: object
      properties:
        report:
          type: object
          properties:
            hrisExpenseReportID:
              type: string
            roleInOrgID:
              type: string
            roleInOrgName:
              type:
                - string
                - 'null'
            roleInOrgEmail:
              type:
                - string
                - 'null'
            roleInOrgDepartment:
              type:
                - string
                - 'null'
            name:
              type: string
            status:
              type: string
            startDate:
              type:
                - string
                - 'null'
            endDate:
              type:
                - string
                - 'null'
            expensedCurrencyID:
              type:
                - string
                - 'null'
            expensedCurrencyCode:
              type:
                - string
                - 'null'
            expensedCurrencyName:
              type:
                - string
                - 'null'
            totalAmountInExpenseCurrency:
              type:
                - string
                - 'null'
            submittedAt:
              type:
                - string
                - 'null'
            approvedAt:
              type:
                - string
                - 'null'
            rejectedAt:
              type:
                - string
                - 'null'
            paidAt:
              type:
                - string
                - 'null'
            payoutStatus:
              type:
                - string
                - 'null'
            decisionUndoableUntil:
              type:
                - string
                - 'null'
            rejectionReason:
              type:
                - string
                - 'null'
            reviewComment:
              type:
                - string
                - 'null'
            createdAt:
              type:
                - string
                - 'null'
            updatedAt:
              type:
                - string
                - 'null'
            expenseCount:
              type: number
            categoryNames:
              type: array
              items:
                type: string
            primaryExpenseCategoryName:
              type:
                - string
                - 'null'
            hasReceiptlessExpenses:
              type: boolean
            thirdPartyProvider:
              type:
                - string
                - 'null'
            thirdPartyReportID:
              type:
                - string
                - 'null'
            reimbursementSyncedAt:
              type:
                - string
                - 'null'
            reimbursementSyncError:
              type:
                - string
                - 'null'
            justification:
              type:
                - string
                - 'null'
          required:
            - hrisExpenseReportID
            - roleInOrgID
            - roleInOrgName
            - roleInOrgEmail
            - roleInOrgDepartment
            - name
            - status
            - startDate
            - endDate
            - expensedCurrencyID
            - expensedCurrencyCode
            - expensedCurrencyName
            - totalAmountInExpenseCurrency
            - submittedAt
            - approvedAt
            - rejectedAt
            - paidAt
            - payoutStatus
            - decisionUndoableUntil
            - rejectionReason
            - reviewComment
            - createdAt
            - updatedAt
            - expenseCount
            - categoryNames
            - primaryExpenseCategoryName
            - hasReceiptlessExpenses
            - thirdPartyProvider
            - thirdPartyReportID
            - reimbursementSyncedAt
            - reimbursementSyncError
            - justification
        expenses:
          type: array
          items:
            type: object
            properties:
              hrisExpenseID:
                type: string
              hrisExpenseReportID:
                type: string
              roleInOrgID:
                type: string
              merchant:
                type:
                  - string
                  - 'null'
              description:
                type:
                  - string
                  - 'null'
              hrisExpenseCategoryID:
                type:
                  - string
                  - 'null'
              hrisExpenseCategoryName:
                type:
                  - string
                  - 'null'
              expensedDate:
                type: string
              submittedDate:
                type:
                  - string
                  - 'null'
              amountSpent:
                type: string
              currencySpentID:
                type: string
              currencySpentCode:
                type: string
              amountInExpenseCurrency:
                type: string
              expensedCurrencyID:
                type: string
              expensedCurrencyCode:
                type:
                  - string
                  - 'null'
              exchangeRateFromCurrencySpentToExpense:
                type: string
              status:
                type: string
              isReimbursable:
                type: boolean
              approvedAt:
                type:
                  - string
                  - 'null'
              rejectedAt:
                type:
                  - string
                  - 'null'
              reimbursedAt:
                type:
                  - string
                  - 'null'
              rejectionReason:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              files:
                type: array
                items:
                  type: object
                  properties:
                    hrisExpenseFileID:
                      type: string
                    fileID:
                      type: string
                    fileName:
                      type: string
                    mimeType:
                      type: string
                    fileSizeInBytes:
                      type:
                        - string
                        - 'null'
                    fileUploaded:
                      type:
                        - string
                        - 'null'
                    fileKey:
                      type:
                        - string
                        - 'null'
                    fileBucket:
                      type:
                        - string
                        - 'null'
                  required:
                    - hrisExpenseFileID
                    - fileID
                    - fileName
                    - mimeType
                    - fileSizeInBytes
                    - fileUploaded
                    - fileKey
                    - fileBucket
            required:
              - hrisExpenseID
              - hrisExpenseReportID
              - roleInOrgID
              - merchant
              - description
              - hrisExpenseCategoryID
              - hrisExpenseCategoryName
              - expensedDate
              - submittedDate
              - amountSpent
              - currencySpentID
              - currencySpentCode
              - amountInExpenseCurrency
              - expensedCurrencyID
              - expensedCurrencyCode
              - exchangeRateFromCurrencySpentToExpense
              - status
              - isReimbursable
              - approvedAt
              - rejectedAt
              - reimbursedAt
              - rejectionReason
              - createdAt
              - updatedAt
              - files
        paymentRecords:
          type: array
          items:
            type: object
            properties:
              paymentRecordID:
                type: string
              method:
                type: string
              source:
                type: string
              amount:
                type: string
              currencyCode:
                type: string
              paidAt:
                type: string
              proofReference:
                type:
                  - string
                  - 'null'
              chain:
                type:
                  - string
                  - 'null'
              explorerUrl:
                type:
                  - string
                  - 'null'
              notes:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              attachments:
                type: array
                items:
                  type: object
                  properties:
                    paymentRecordAttachmentID:
                      type: string
                    fileID:
                      type: string
                    fileName:
                      type: string
                    mimeType:
                      type: string
                    fileSizeInBytes:
                      type:
                        - string
                        - 'null'
                  required:
                    - paymentRecordAttachmentID
                    - fileID
                    - fileName
                    - mimeType
                    - fileSizeInBytes
              destinationSnapshot: {}
            required:
              - paymentRecordID
              - method
              - source
              - amount
              - currencyCode
              - paidAt
              - proofReference
              - chain
              - explorerUrl
              - notes
              - createdAt
              - attachments
              - destinationSnapshot
      required:
        - report
        - expenses
        - paymentRecords
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
